cl.cromer.estructuras

## Class Arbol.Tipos

- java.lang.Object
- - cl.cromer.estructuras.Arbol.Tipos

Enclosing class:
  Arbol

    public static final class Arbol.Tipos
    extends java.lang.Object

Esta clase contiene los arbolTipo de arboles.

Author:
  Chris Cromer

### Field Summary

Fields
`static int` `AVL` Tipo AVL.
`static int` `B_TREE` Tipo B-Tree.
`static int` `BINARIO` Tipo binario.
`static int` `BUSQUEDA_BINARIA` Tipo busqueda binaria.
`static int` `GENERAL` Tipo general.
`static int` `ROJO_NEGRO` Tipo rojo-negro.
`private int` `tipo` El tipo elegido.

### Constructor Summary

Constructors
Constructor and Description
`Tipos(int tipo)` Inicilizar el tipo de arbol.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getTipo()` Devolver el tipo de arbol.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### GENERAL

    public static final int GENERAL

Tipo general.

See Also:
  Constant Field Values

#### BINARIO

    public static final int BINARIO

Tipo binario.

See Also:
  Constant Field Values

#### BUSQUEDA_BINARIA

    public static final int BUSQUEDA_BINARIA

Tipo busqueda binaria.

See Also:
  Constant Field Values

#### AVL

    public static final int AVL

Tipo AVL.

See Also:
  Constant Field Values

#### ROJO_NEGRO

    public static final int ROJO_NEGRO

Tipo rojo-negro.

See Also:
  Constant Field Values

#### B_TREE

    public static final int B_TREE

Tipo B-Tree.

See Also:
  Constant Field Values

#### tipo

    private final int tipo

El tipo elegido.

### Constructor Detail

#### Tipos

    public Tipos(int tipo)

Inicilizar el tipo de arbol.

Parameters:
  `tipo` - int: El tipo de lista enlazada, 0, 1, 2, 3, 4 o 5

### Method Detail

#### getTipo

    public int getTipo()

Devolver el tipo de arbol.

Returns:
  int: El tipo.